Bug 31787 - step by step documentation for citrix receiver installation
step by step documentation for citrix receiver installation
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: Documentation
unspecified
Other Linux
: P5 enhancement
: UCC 1.0-errata
Assigned To: Moritz Muehlenhoff
Erik Damrose
http://docs.univention.de/ucc-manual-...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-21 09:54 CEST by Ingo Steuwer
Modified: 2014-01-09 08:33 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted after Product Owner Review:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ingo Steuwer univentionstaff 2013-06-21 09:54:46 CEST
The documentation notes that one needs to install the citrix receiver deb package manually, but doesn't describe concrete commands to do that. Users who are not familar with dpkg will fail.

Similar, there is only stated that "the univention-ucc-session-xenapp package must be installed" but also no further documentation or link about how to do that.
Comment 1 Ingo Steuwer univentionstaff 2013-06-21 10:11:06 CEST
Hints about the installation:

* due to a bug in the citrix package, it is mandatory to modify the UCC-image on a 32bit UCS instance
* to install the package, one needs to mount the image as documented here: http://wiki.univention.de/index.php?title=Modifying_an_UCC_image
* the .deb files icaclient-12.1.0_i386.deb and ctxusb-2.2.0_i386.deb needs to be copied to the mount-point /mnt/img
* the installation needs to be done after "chroot /mnt/img" by
dpkg -i icaclient-12.1.0_i386.deb
dpkg -i ctxusb-2.2.0_i386.deb
* the package asks to confirm an EULA
Comment 2 Daniel Orrego univentionstaff 2013-08-22 15:20:22 CEST

If the image is intended for a i386 architecture, it should me mounted on a i386 system also.
i.e. the system outside the chroot environment should also be i386, otherwise the installation of these packages will not be completed.
Comment 3 Moritz Muehlenhoff univentionstaff 2013-12-19 09:29:28 CET
Alternatively an installation wizard could be provided
Comment 4 Moritz Muehlenhoff univentionstaff 2014-01-08 13:09:35 CET
> Similar, there is only stated that "the univention-ucc-session-xenapp
> package must be installed" but also no further documentation or link about
> how to do that.

A link to the software chapter is now provided.
Comment 5 Moritz Muehlenhoff univentionstaff 2014-01-08 13:30:45 CET
A step-by-step documentation is now provided -> revision 46960
Comment 6 Erik Damrose univentionstaff 2014-01-08 14:39:16 CET
I made a small bugfix in r46963.
Verified